Page MenuHomePhabricator

Provide example .arclint a standard set of lints/checks relevant to our community
Closed, DeclinedPublic

Details

Reference
fl278

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:34 AM
flimport set Reference to fl278.

mattflaschen wrote on 2014-05-05 23:35:28 (UTC)

This is not a blocker for migration, though. We can use Jenkins until (and even after) this is set up.

Qgil added a subscriber: Unknown Object (MLST).

Ooops, I had forgotten about this one.

It should basically be anything that currently runs on Jenkins for the project (on various projects, we have all of these running on Jenkins, though not every project has all), but can run locally.

  • Unit tests (PHPUnit and QUnit) - ArcanistUnitTestEngine
  • Browser tests (Cucumber) - ArcanistUnitTestEngine
  • JSLint, jscs (code style), php -l - ArcanistLintEngine
  • jsduck (checking that documentation can be generated without errors) - ArcanistLintEngine
In T170#2287, @flimport wrote:

mattflaschen wrote on 2014-05-05 23:35:28 (UTC)

This is not a blocker for migration, though. We can use Jenkins until (and even after) this is set up.

I would suggest that we must continue to use Jenkins (or it's future replacement) even if all of these checks are enforced pre-commit by arc. My reasoning for that is that only on the Jenkins servers do we control the test environment completely. I and others have pushed things to gerrit which contained errors that were masked by local PHP versions and/or configuration on multiple occasions.

In T170#14791, @bd808 wrote:

I would suggest that we must continue to use Jenkins (or it's future replacement) even if all of these checks are enforced pre-commit by arc. My reasoning for that is that only on the Jenkins servers do we control the test environment completely. I and others have pushed things to gerrit which contained errors that were masked by local PHP versions and/or configuration on multiple occasions.

Agreed. I've done the same (at least with the PHP version issue, probably other causes as well).

greg renamed this task from Arc linting checks tailored to MediaWiki QA criteria to Provide example .arclist a standard set of lints/checks relevant to our community.Nov 4 2015, 7:21 PM
greg renamed this task from Provide example .arclist a standard set of lints/checks relevant to our community to Provide example .arclint a standard set of lints/checks relevant to our community.
greg updated the task description. (Show Details)
greg set Security to None.
greg moved this task from To Triage to Backlog on the Differential board.